<project name="evo-app-build-jdo" > 
	
	<import file="common/evo-app-compile-common.xml" />
	<import file="common/evo-app-deploy-common.xml" />

	<target name="app-build" description="Compiles all application classes" depends="app-prepare,app-pre-build">
		<mkdir dir="${app.build.dir}" />
		<depend srcdir="${app.src.dir}" destdir="${app.build.dir}" cache="${app.dependencies.chache.dir}">
			<include name="**/*.java" />
		</depend>
		<javac srcdir="${app.src.dir}" destdir="${app.build.dir}" classpathref="app.build.classpath" debug="on" deprecation="on" fork="true" memoryMaximumSize="512M" />
		<antcall target="app-datanucleus"/>
		<antcall target="app-post-build"/>
	</target>
	
	<target name="app-datanucleus">
		<path id="jpox.enhancer.classpath">
			<fileset dir="${lib.tools.dir}" />
			<path refid="app.build.classpath" />
		</path>
		<taskdef name="jpoxEnhancer" description="JPOX Enhancer" classpathref="jpox.enhancer.classpath" classname="org.datanucleus.enhancer.tools.EnhancerTask" />
		<jpoxEnhancer maxmemory="256M" classpathref="jpox.enhancer.classpath" dir="${app.build.dir}"  verbose="true"/>
	</target>
	
</project>